"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parserError_1 = require("../parserError");
const util_1 = require("../util");
const anArrayContaining = (itemParser) => (x) => {
    if (util_1.isNil(x)) {
        throw new parserError_1.default("Array", `${x}`);
    }
    if (Array.isArray(x)) {
        return x.map(itemParser);
    }
    throw new parserError_1.default("Array", typeof x);
};
exports.default = anArrayContaining;
