"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parserError_1 = require("../parserError");
const util_1 = require("../util");
const aNumber = (x) => {
    if (util_1.isNil(x)) {
        throw new parserError_1.default("number", `${x}`);
    }
    if (typeof x === "number") {
        return x;
    }
    throw new parserError_1.default("number", typeof x);
};
exports.default = aNumber;
