import { ParseFn } from "../parserFn";
/**
 * Syntactic sugar to lazy invoke a `ParseFn`; Creates a new `ParseFn` with given parser and returns it for later
 * invocation.
 */
declare const parse: <T>(parser: ParseFn<T>) => ParseFn<T>;
export default parse;
//# sourceMappingURL=parse.d.ts.map