"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Syntactic sugar to lazy invoke a `ParseFn`; Creates a new `ParseFn` with given parser and returns it for later
 * invocation.
 */
const parse = (parser) => (x) => parser(x);
exports.default = parse;
