/**
 * A `ParseFn` throws a `ParseError` when the `ParseInput` cannot be transformed to the parsers target type.
 */
export default class ParserError extends Error {
    readonly expected: string;
    readonly found: string;
    constructor(expected: string, found: string);
}
//# sourceMappingURL=parserError.d.ts.map