"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * A `ParseFn` throws a `ParseError` when the `ParseInput` cannot be transformed to the parsers target type.
 */
class ParserError extends Error {
    constructor(expected, found) {
        super(`Expected ${expected} but found ${found}`);
        this.expected = expected;
        this.found = found;
    }
}
exports.default = ParserError;
