"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parserError_1 = require("../parserError");
const util_1 = require("../util");
const aBoolean = (x) => {
    if (util_1.isNil(x)) {
        throw new parserError_1.default("boolean", `${x}`);
    }
    if (typeof x === "boolean") {
        return x;
    }
    throw new parserError_1.default("boolean", typeof x);
};
exports.default = aBoolean;
